4Suite™ API Documentation

# ► Module Ft.Xml.XPath.ParsedAxisSpecifier

A parsed token that represents an axis specifier.

    Copyright 2004 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: AxisSpecifier, ParsedAncestorAxisSpecifier, ParsedAncestorOrSelfAxisSpecifier, ParsedAttributeAxisSpecifier, ParsedChildAxisSpecifier, ParsedDescendantAxisSpecifier, ParsedDescendantOrSelfAxisSpecifier, ParsedFollowingAxisSpecifier, ParsedFollowingSiblingAxisSpecifier, ParsedNamespaceAxisSpecifier, ParsedParentAxisSpecifier, ParsedPrecedingAxisSpecifier, ParsedPrecedingSiblingAxisSpecifier, ParsedSelfAxisSpecifier |  |  |  | Functions: ParsedAxisSpecifier |  |  |  | Globals: NAMESPACE_NODE, g_classMap

## Classes

class AxisSpecifier

  ### Methods

  __init__(self, axis)
  __repr__(self)
    Always displays verbose expression
  __str__(self)
  descendants(self, context, nodeTest, node, nodeSet)
    Select all of the descendants from the context node
  pprint(self, indent='')
  select(self, context, nodeTest)
    Always returns a node-set and 0 if forward, 1 if reverse.

  ### Members

  principalType = 1
class ParsedAncestorAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the ancestors including the root
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedAncestorOrSelfAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the ancestors including ourselves through the root
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedAttributeAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the attributes from the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members

  principalType = 2
class ParsedChildAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the children of the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedDescendantAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedDescendantOrSelfAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select the context node and all of its descendants
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedFollowingAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the nodes the follow the context node, not including descendants.
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedFollowingSiblingAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the siblings that follow the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedNamespaceAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the namespaces from the context node.
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members

  principalType = 13
class ParsedParentAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select the parent of the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedPrecedingAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the nodes the precede the context node, not including ancestors
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedPrecedingSiblingAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select all of the siblings that precede the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType
class ParsedSelfAxisSpecifier(AxisSpecifier)

  ### Methods

  select(self, context, nodeTest)
    Select the context node
    Overrides: select from class AxisSpecifier

  ### Methods inherited from class AxisSpecifier

  __init__, __repr__, __str__, descendants, pprint

  ### Members inherited from class AxisSpecifier

  principalType

## Functions

ParsedAxisSpecifier(axis)

## Globals

NAMESPACE_NODE = 13
g_classMap = {'ancestor': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAncestorAxisSpecifier>, 'ancestor-or-self': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAncestorOrSelfAxisSpecifier>, 'attribute': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedAttributeAxisSpecifier>, 'child': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedChildAxisSpecifier>, 'descendant': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedDescendantAxisSpecifier>, 'descendant-or-self': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedDescendantOrSelfAxisSpecifier>, 'following': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedFollowingAxisSpecifier>, 'following-sibling': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedFollowingSiblingAxisSpecifier>, 'namespace': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedNamespaceAxisSpecifier>, 'parent': <class Ft.Xml.XPath.ParsedAxisSpecifier.ParsedParentAxisSpecifier>, ...}